> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mrassistant.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Tenant Quota

> Update tenant quota limits (tenure).

**Adjustable quotas:**
- `max_agents`: Maximum number of agents allowed
- `max_squads`: Maximum number of squads allowed
- `max_calls_per_month`: Monthly call limit
- `max_concurrent_calls`: Concurrent call limit
- `max_minutes_per_month`: Monthly minutes limit
- `max_campaigns`: Maximum campaigns allowed
- `max_recordings_gb`: Recording storage limit
- `max_files_gb`: File storage limit
- `max_file_size_mb`: Maximum single file size



## OpenAPI

````yaml https://api.mrassistant.ai/openapi.json put /admin/tenants/{tenant_id}/quota
openapi: 3.1.0
info:
  title: Backend - Multilingual Voice Agent System
  description: FastAPI backend for multilingual voice agents with tool use
  version: 1.0.0
servers: []
security: []
paths:
  /admin/tenants/{tenant_id}/quota:
    put:
      tags:
        - admin
      summary: Update Tenant Quota
      description: |-
        Update tenant quota limits (tenure).

        **Adjustable quotas:**
        - `max_agents`: Maximum number of agents allowed
        - `max_squads`: Maximum number of squads allowed
        - `max_calls_per_month`: Monthly call limit
        - `max_concurrent_calls`: Concurrent call limit
        - `max_minutes_per_month`: Monthly minutes limit
        - `max_campaigns`: Maximum campaigns allowed
        - `max_recordings_gb`: Recording storage limit
        - `max_files_gb`: File storage limit
        - `max_file_size_mb`: Maximum single file size
      operationId: update_tenant_quota_admin_tenants__tenant_id__quota_put
      parameters:
        - name: tenant_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Tenant Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateQuotaRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    UpdateQuotaRequest:
      properties:
        max_agents:
          anyOf:
            - type: integer
              maximum: 1000
              minimum: 1
            - type: 'null'
          title: Max Agents
          description: Maximum agents
        max_squads:
          anyOf:
            - type: integer
              maximum: 100
              minimum: 1
            - type: 'null'
          title: Max Squads
          description: Maximum squads
        max_calls_per_month:
          anyOf:
            - type: integer
              maximum: 1000000
              minimum: 0
            - type: 'null'
          title: Max Calls Per Month
          description: Monthly call limit
        max_concurrent_calls:
          anyOf:
            - type: integer
              maximum: 1000
              minimum: 1
            - type: 'null'
          title: Max Concurrent Calls
          description: Concurrent call limit
        max_minutes_per_month:
          anyOf:
            - type: number
              minimum: 0
            - type: 'null'
          title: Max Minutes Per Month
          description: Monthly minutes limit
        max_campaigns:
          anyOf:
            - type: integer
              maximum: 1000
              minimum: 0
            - type: 'null'
          title: Max Campaigns
          description: Maximum campaigns
        max_recordings_gb:
          anyOf:
            - type: number
              maximum: 1000
              minimum: 0
            - type: 'null'
          title: Max Recordings Gb
          description: Recording storage limit (GB)
        max_files_gb:
          anyOf:
            - type: number
              maximum: 100
              minimum: 0
            - type: 'null'
          title: Max Files Gb
          description: File storage limit (GB)
        max_file_size_mb:
          anyOf:
            - type: integer
              maximum: 500
              minimum: 1
            - type: 'null'
          title: Max File Size Mb
          description: Max single file size (MB)
      type: object
      title: UpdateQuotaRequest
      description: Request to update tenant quota (tenure).
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````